# lzma(1) completion by Per Øyvind Karlsen <peroyvind@mandriva.org>

have lzma &&
_lzma()
{
    local cur prev xspec

    COMPREPLY=()
    cur=`_get_cword`
    prev=${COMP_WORDS[COMP_CWORD-1]}

    if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '-c -d -f -h -k -L -q -s \
            -v -V -z -1 -2 -3 -4 -5 -6 -7 -8 -9 \
            --help --decompress --compress --keep --force \
            --test --stdout --quiet --verbose --license \
            --version --small --fast --best --text' -- "$cur" ) )
        return 0
    fi

    local IFS=$'\t\n'

    xspec="*.lzma"
    if [[ "$prev" == --* ]]; then
        [[ "$prev" == --decompress || \
            "$prev" == --list || \
            "$prev" == --test ]] && xspec="!"$xspec
        [[ "$prev" == --compress ]] && xspec=
    elif [[ "$prev" == -* ]]; then
        [[ "$prev" == -*[dt]* ]] && xspec="!"$xspec
        [[ "$prev" == -*z* ]] && xspec=
    fi

    _expand || return 0

    COMPREPLY=( $( compgen -f -X "$xspec" -- "$cur" ) \
        $( compgen -d -- "$cur" ) )
} &&
complete -F _lzma $filenames lzma

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
